Stops the event loop

- « EvLoop::stat

- EvLoop::suspend »

- PHP Manual
- EvLoop
- Stops the event loop

# EvLoop::stop

(PECL ev >= 0.2.0)

EvLoop::stop — Stops the event loop

### Description

public EvLoop::stop( int `$how` = ?): void

Stops the event loop

### Parameters

`how`

  One of Ev::BREAK_* constants.

### Return Values

No value is returned.

### See Also

- EvLoop::run() - Begin checking for events and calling callbacks for the loop
- Ev::stop() - Stops the default event loop